title: Magic Links
icon: daezy.png

scope:
  getCreatorInfo:
    description: Get creator info including bio and links.
  setCreatorInfo:
    description: Set creator info.
  getFanInfo:
    description: Get fan info.
  setFanInfo:
    description: Set fan info.

grant:
  '%':
    - getCreatorInfo
  ${party}:
    - setCreatorInfo
    - setFanInfo
    - getFanInfo

tab:
  v1:
    src: agent/daezy.ts

audience:
  ${party}:
    ${source}: getCreatorInfo getFanInfo setFanInfo setCreatorInfo

drive:
  public: # Addressable at https://daemon.id/drive/PREFIX/public
    read:
    - public
    write:
    - ${party}
